com.tibbo.aggregate.common.datatable

## Class AbstractBigDataTable

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.AbstractDataTable
  - - com.tibbo.aggregate.common.datatable.AbstractBigDataTable

- All Implemented Interfaces:
    DataTable, AttributedObject, PublicCloneable, StringEncodable, java.lang.Cloneable, java.lang.Iterable<DataRecord>
  Direct Known Subclasses:
    AbstractUnmodifiableDataTable, ResultSetDataTable

      public abstract class AbstractBigDataTable
      extends AbstractDataTable

- - ### Field Summary

    - ### Fields inherited from class com.tibbo.aggregate.common.datatable.AbstractDataTable

      `DEFAULT_FORMAT, ELEMENT_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBigDataTable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataTable` | `clone()` Creates a `SimpleDataTable` that contains clones of the records represented by this data table.
    `int` | `compareTo(DataTable other)`
    `protected void` | `decrementRecordCount()`
    `java.lang.Integer` | `getRecordCount()` Returns number of records in the table or null if the number of records is unknown.
    `protected void` | `incrementRecordCount()`
    `boolean` | `isSimple()`
    `DataTable` | `makeImmutable()` Makes this table immutable.
    `void` | `setId(java.lang.Long id)` Sets table ID (even if the table is immutable) if it has not been already set to a non-null Long.
    `protected void` | `setRecordCount(java.lang.Integer recordCount)`
    `protected SimpleDataTable` | `toSimpleDataTable()`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.AbstractDataTable

      `addRecords, append, applyCachedFormat, cloneIfImmutable, close, conform, conformMessage, dataAsString, dataAsString, encode, encode, encode, encode, findIndex, findIndex, fixRecords, get, getDescription, getEncodedData, getEncodedData, getFieldCount, getFormat, getFormat, getFormat, getId, getInvalidationMessage, getQuality, getRecordById, getRecords, getTimestamp, getValue, hasField, isImmutable, isInvalid, joinFormats, rec, removeRecord, removeRecordImpl, removeRecordsByIds, select, select, selectAll, setFormat, setInvalidationMessage, setQuality, setTimestamp, sort, splitFormat, stream, swapRecords, toString, validate, validateRecord`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.tibbo.aggregate.common.datatable.DataTable

      `addRecord, addRecord, addRecord, addRecord, dataAsString, equals, findIndex, getRecord, hashCode, isOneCellTable, iterator, iterator, removeRecords, reorderRecord, setRecord, sort, sort, toDefaultString`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### AbstractBigDataTable

          public AbstractBigDataTable()

  - ### Method Detail

    - #### getRecordCount

          public java.lang.Integer getRecordCount()

      Description copied from interface: `DataTable`
      Returns number of records in the table or null if the number of records is unknown.

    - #### setRecordCount

          protected void setRecordCount(java.lang.Integer recordCount)

    - #### incrementRecordCount

          protected void incrementRecordCount()

    - #### decrementRecordCount

          protected void decrementRecordCount()

    - #### setId

          public void setId(java.lang.Long id)

      Sets table ID (even if the table is immutable) if it has not been already set to a non-null Long.

    - #### compareTo

          public int compareTo(DataTable other)

    - #### makeImmutable

          public DataTable makeImmutable()

      Makes this table immutable. Note that subtables of this table are not made immutable.

    - #### clone

          public DataTable clone()

      Creates a `SimpleDataTable` that contains clones of the records represented by this data table. Does NOT call `super.clone()`
      Specified by:
        `clone` in interface `DataTable`
      Specified by:
        `clone` in interface `PublicCloneable`
      Overrides:
        `clone` in class `AbstractDataTable`

    - #### toSimpleDataTable

          protected SimpleDataTable toSimpleDataTable()

    - #### isSimple

          public boolean isSimple()